%global npm_name opener
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 1.4.3
Release: %mkrel 4
Summary: Opens stuff, like webpages and files and executables, cross-platform
License: MIT
Group: Development/Other
URL: https://github.com/domenic/opener#readme
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr opener.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

mkdir -p %{buildroot}%{_bindir}
chmod 0755 %{buildroot}%{nodejs_sitelib}/%{npm_name}/opener.js
ln -sf %{nodejs_sitelib}/%{npm_name}/opener.js %{buildroot}%{_bindir}/opener

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%{_bindir}/opener
%license LICENSE.txt
%doc README.md



%changelog
* Tue Mar 22 2022 umeabot <umeabot> 1.4.3-4.mga9
+ Revision: 1818613
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.4.3-3.mga8
+ Revision: 1503106
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.4.3-2.mga7
+ Revision: 1280903
- Mageia 7 Mass Rebuild

* Thu May 03 2018 kekepower <kekepower> 1.4.3-1.mga7
+ Revision: 1225976
- imported package nodejs-opener

